Skip to main content
POST
Get available drawdown margin

Authorizations

x-api-key
string
header
required

An API Key.

Headers

Authorization
string
required

The access token

X-Contact-ID
string

The ID of the contact

Query Parameters

client_id
string
required

The ID of the client

trade_id
string
required

The ID of the forward trade to draw down from

Body

application/json

Request Payload

drawdown_sell_amount
number<double>
required

Amount you plan to sell as part of the drawdown

Required range: x >= 0.01
value_date
string
required

The value date for the drawdown format

Pattern: ^\d{4}[-/]\d{2}[-/]\d{2}$

Response

Available margin calculated

drawdown_initial_margin
number<double>

Amount of margin that can be used to fund the drawdown